diff --git a/admin/enrol.php b/admin/enrol.php
index 7ec956d..91af675 100644
--- a/admin/enrol.php
+++ b/admin/enrol.php
@@ -103,7 +103,7 @@
     }
     asort($table->data);
 
-    echo $OUTPUT->table($table);
+    echo html_writer::table($table);
 
     echo "<div style=\"text-align:center\"><input type=\"submit\" value=\"".get_string("savechanges")."\" /></div>\n";
     echo "</div>";
diff --git a/admin/filters.php b/admin/filters.php
index 25023c1..aa7f4c6 100644
--- a/admin/filters.php
+++ b/admin/filters.php
@@ -218,7 +218,7 @@
         $table->rowclasses[] = 'dimmed_text';
     }
 
-    echo $OUTPUT->table($table);
+    echo html_writer::table($table);
     echo '<p class="filtersettingnote">' . get_string('filterallwarning', 'filters') . '</p>';
     echo $OUTPUT->footer();
 
diff --git a/admin/mnet/access_control.php b/admin/mnet/access_control.php
index 3680365..353e43d 100644
--- a/admin/mnet/access_control.php
+++ b/admin/mnet/access_control.php
@@ -184,7 +184,7 @@ if (!$acl) {
 }
 
 if (!empty($table)) {
-    echo $OUTPUT->table($table);
+    echo html_writer::table($table);
     echo '<p>&nbsp;</p>';
     $baseurl = new moodle_url('/admin/mnet/access_control.php', array('sort' => $sort, 'dir' => $dir, 'perpage' => $perpage));
     echo $OUTPUT->paging_bar($aclcount, $page, $perpage, $baseurl);
diff --git a/admin/mnet/peers.php b/admin/mnet/peers.php
index f61d5d9..25db689 100644
--- a/admin/mnet/peers.php
+++ b/admin/mnet/peers.php
@@ -218,7 +218,7 @@ $table->data = array(
         $registerrow
     ),
 );
-echo $OUTPUT->table($table);
+echo html_writer::table($table);
 
 // print the list of all hosts, with little action links and buttons
 $table = new html_table();
@@ -250,7 +250,7 @@ foreach($hosts as $host) {
         $OUTPUT->single_button(new moodle_url('/admin/mnet/delete.php', array('hostid' => $host->id)), get_string('delete'))
     );
 }
-echo $OUTPUT->table($table);
+echo html_writer::table($table);
 
 // finally, print the initial form to add a new host
 echo $OUTPUT->box_start();
diff --git a/admin/mnet/testclient.php b/admin/mnet/testclient.php
index 970d413..91f10bb 100644
--- a/admin/mnet/testclient.php
+++ b/admin/mnet/testclient.php
@@ -122,7 +122,7 @@ if (!empty($hostid) && array_key_exists($hostid, $hosts)) {
         );
 
     }
-    echo $OUTPUT->table($table);
+    echo html_writer::table($table);
 
 
     $mnet_request->set_method('system/listMethods');
@@ -156,7 +156,7 @@ if (!empty($hostid) && array_key_exists($hostid, $hosts)) {
             html_writer::link($newurl, get_string('inspect', 'mnet'))
         );
     }
-    echo $OUTPUT->table($table);
+    echo html_writer::table($table);
 
     if (isset($methodid) && array_key_exists($methodid-1, $methods)) {
         $method = $methods[$methodid-1];
@@ -194,7 +194,7 @@ if (!empty($hostid) && array_key_exists($hostid, $hosts)) {
             $signature['return']['description']
         );
 
-        echo $OUTPUT->table($table);
+        echo html_writer::table($table);
 
         $mnet_request->set_method('system/methodHelp');
         $mnet_request->add_param($method, 'string');
diff --git a/admin/report/configlog/index.php b/admin/report/configlog/index.php
index adf4874..b5929bd 100644
--- a/admin/report/configlog/index.php
+++ b/admin/report/configlog/index.php
@@ -104,6 +104,6 @@ foreach ($rs as $log) {
 }
 $rs->close();
 
-echo $OUTPUT->table($table);
+echo html_writer::table($table);
 
 echo $OUTPUT->footer();
diff --git a/admin/report/courseoverview/index.php b/admin/report/courseoverview/index.php
index 3a2b28b..bfaabc6 100644
--- a/admin/report/courseoverview/index.php
+++ b/admin/report/courseoverview/index.php
@@ -60,7 +60,7 @@
                            '<input type="text" name="numcourses" size="3" maxlength="2" value="'.$numcourses.'" />',
                            '<input type="submit" value="'.get_string('view').'" />') ;
 
-    echo $OUTPUT->table($table);
+    echo html_writer::table($table);
     echo '</div>';
     echo '</form>';
 
@@ -117,7 +117,7 @@
                 }
                 $table->data[] = $a;
             }
-            echo $OUTPUT->table($table);
+            echo html_writer::table($table);
         }
     }
     echo $OUTPUT->footer();
diff --git a/admin/report/questioninstances/index.php b/admin/report/questioninstances/index.php
index 4eae3a8..3176a98 100644
--- a/admin/report/questioninstances/index.php
+++ b/admin/report/questioninstances/index.php
@@ -122,7 +122,7 @@ if ($requestedqtype) {
             $totalhidden);
 
     // Print it.
-    echo $OUTPUT->table($table);
+    echo html_writer::table($table);
 }
 
 // Footer.
diff --git a/admin/report/security/index.php b/admin/report/security/index.php
index 249c04c..48ea8ad 100644
--- a/admin/report/security/index.php
+++ b/admin/report/security/index.php
@@ -92,7 +92,7 @@ if ($issue and ($result = $issue(true))) {
 
     $table->data[] = $row;
 
-    echo $OUTPUT->table($table);
+    echo html_writer::table($table);
 
     echo $OUTPUT->box($result->details, 'generalbox boxwidthnormal boxaligncenter'); // TODO: add proper css
 
@@ -121,7 +121,7 @@ if ($issue and ($result = $issue(true))) {
 
         $table->data[] = $row;
     }
-    echo $OUTPUT->table($table);
+    echo html_writer::table($table);
 }
 
 echo $OUTPUT->footer();
diff --git a/admin/roles/allow.php b/admin/roles/allow.php
index 99888c7..4ecd847 100755
--- a/admin/roles/allow.php
+++ b/admin/roles/allow.php
@@ -67,7 +67,7 @@ echo $OUTPUT->box($controller->get_intro_text());
 
 echo '<form action="' . $baseurl . '" method="post">';
 echo '<input type="hidden" name="sesskey" value="' . sesskey() . '" />';
-echo $OUTPUT->table($table);
+echo html_writer::table($table);
 echo '<div class="buttons"><input type="submit" name="submit" value="'.get_string('savechanges').'"/>';
 echo '</div></form>';
 
diff --git a/admin/roles/assign.php b/admin/roles/assign.php
index 6de7cd6..268788e 100755
--- a/admin/roles/assign.php
+++ b/admin/roles/assign.php
@@ -431,7 +431,7 @@
             $table->data[] = $row;
         }
 
-        echo $OUTPUT->table($table);
+        echo html_writer::table($table);
 
         if ($context->contextlevel > CONTEXT_USER) {
             echo '<div class="backlink"><a href="' . get_context_url($context) . '">' . get_string('backto', '', $contextname) . '</a></div>';
diff --git a/admin/roles/manage.php b/admin/roles/manage.php
index b2a5e23..cda0d53 100755
--- a/admin/roles/manage.php
+++ b/admin/roles/manage.php
@@ -256,7 +256,7 @@
 
         $table->data[] = $row;
     }
-    echo $OUTPUT->table($table);
+    echo html_writer::table($table);
 
     echo $OUTPUT->container_start('buttons');
     echo $OUTPUT->single_button(new moodle_url($defineurl, array('action' => 'add')), get_string('addrole', 'role'), 'get');
diff --git a/admin/uploaduser.php b/admin/uploaduser.php
index d079ff3..b085ddc 100755
--- a/admin/uploaduser.php
+++ b/admin/uploaduser.php
@@ -854,7 +854,7 @@ foreach ($contents as $content) {
 
 $table = new html_table();
 $table->id = "uupreview";
-$table->set_classes = 'generaltable';
+$table->attributes['class'] = 'generaltable';
 $table->tablealign = 'center';
 $table->summary = get_string('uploaduserspreview', 'admin');
 $table->head = array();
@@ -887,7 +887,7 @@ if (in_array('error', $headings)) {
                     $value = get_string($content[$key]);
                 }
                 $cells->text = $value;
-                $cells->set_classes($errclass);
+                $cells->attributes['class'] = $errclass;
                 $rows->cells[] = $cells;
             }
             $countcontent++;
@@ -928,7 +928,7 @@ if (in_array('error', $headings)) {
         $countcontent++;
     }
 }
-echo $OUTPUT->table($table);
+echo html_writer::table($table);
 
 if ($haserror) {
 
diff --git a/admin/user.php b/admin/user.php
index b72ae4c..47e7fe4 100644
--- a/admin/user.php
+++ b/admin/user.php
@@ -298,7 +298,7 @@
         echo $OUTPUT->heading('<a href="'.$securewwwroot.'/user/editadvanced.php?id=-1">'.get_string('addnewuser').'</a>');
     }
     if (!empty($table)) {
-        echo $OUTPUT->table($table);
+        echo html_writer::table($table);
         echo $OUTPUT->paging_bar($usercount, $page, $perpage, $baseurl);
         if (has_capability('moodle/user:create', $sitecontext)) {
             echo $OUTPUT->heading('<a href="'.$securewwwroot.'/user/editadvanced.php?id=-1">'.get_string('addnewuser').'</a>');
diff --git a/admin/user/user_bulk_display.php b/admin/user/user_bulk_display.php
index 58c11b7..f7383a2 100755
--- a/admin/user/user_bulk_display.php
+++ b/admin/user/user_bulk_display.php
@@ -74,7 +74,7 @@ foreach($users as $user) {
 }
 
 echo $OUTPUT->heading("$usercount / $usertotal ".get_string('users'));
-echo $OUTPUT->table($table);
+echo html_writer::table($table);
 
 echo $OUTPUT->continue_button($return);
 
diff --git a/admin/user/user_bulk_enrol.php b/admin/user/user_bulk_enrol.php
index 48ab6f2..0d6cf65 100644
--- a/admin/user/user_bulk_enrol.php
+++ b/admin/user/user_bulk_enrol.php
@@ -125,7 +125,7 @@ foreach($users as $user)
     $table->data[] = $temparray;
 }
 echo $OUTPUT->heading("$usercount / $usertotal ".get_string('users'));
-echo $OUTPUT->table($table);
+echo html_writer::table($table);
 echo '<div class="continuebutton">';
 echo '<input type="submit" name="multienrolsubmit" value="save changes" />';
 echo '</div>';
diff --git a/admin/webservice/service_functions.php b/admin/webservice/service_functions.php
index 3d1f777..26eee6a 100644
--- a/admin/webservice/service_functions.php
+++ b/admin/webservice/service_functions.php
@@ -137,7 +137,7 @@ foreach ($functions as $function) {
     }
 }
 
-echo $OUTPUT->table($table);
+echo html_writer::table($table);
 
 
 // we can edit only custom functions, the build-in would be overridden after each upgrade
diff --git a/backup/restorelib.php b/backup/restorelib.php
index d35114d..a96109e 100644
--- a/backup/restorelib.php
+++ b/backup/restorelib.php
@@ -533,7 +533,7 @@ define('RESTORE_GROUPS_GROUPINGS', 3);
             echo $OUTPUT->heading(get_string("backup").":");
             $table->data = $tab;
             //Print backup general info
-            echo $OUTPUT->table($table);
+            echo html_writer::table($table);
 
             if ($info->backup_backup_version <= 2005070500) {
                  echo $OUTPUT->notification(get_string('backupnonisowarning'));  // Message informing that this backup may not work!
@@ -643,7 +643,7 @@ define('RESTORE_GROUPS_GROUPINGS', 3);
             //Print title
             echo $OUTPUT->heading(get_string("backupdetails").":");
             //Print backup general info
-            echo $OUTPUT->table($table);
+            echo html_writer::table($table);
         } else {
             $status = false;
         }
@@ -672,7 +672,7 @@ define('RESTORE_GROUPS_GROUPINGS', 3);
             //Print title
             echo $OUTPUT->heading(get_string("course").":");
             //Print backup course header info
-            echo $OUTPUT->table($table);
+            echo html_writer::table($table);
         } else {
             $status = false;
         }
diff --git a/blog/external_blogs.php b/blog/external_blogs.php
index 7eb685c..058ef77 100644
--- a/blog/external_blogs.php
+++ b/blog/external_blogs.php
@@ -68,7 +68,7 @@ echo $OUTPUT->box_start('generalbox boxaligncenter');
 if (!empty($blogs)) {
     $table = new html_table();
     $table->cellpadding = 4;
-    $table->add_class('generaltable boxaligncenter');
+    $table->attributes['class'] = 'generaltable boxaligncenter';
     $table->head = array(get_string('name'), get_string('url'), get_string('timefetched', 'blog'), get_string('valid', 'blog'), get_string('actions'));
 
     foreach ($blogs as $blog) {
@@ -87,7 +87,7 @@ if (!empty($blogs)) {
 
         $table->data[] = new html_table_row(array($blog->name, $blog->url, userdate($blog->timefetched), $validicon, $editicon . $deleteicon));
     }
-    echo $OUTPUT->table($table);
+    echo html_writer::table($table);
 }
 
 $newexternalurl = new moodle_url('/blog/external_blog_edit.php');
diff --git a/blog/locallib.php b/blog/locallib.php
index 0150d9d..ec62238 100644
--- a/blog/locallib.php
+++ b/blog/locallib.php
@@ -133,17 +133,17 @@ class blog_entry {
         // Start printing of the blog
         $table = new html_table();
         $table->cellspacing = 0;
-        $table->add_classes('forumpost blog_entry blog'. ($unassociatedentry ? 'draft' : $template['publishstate']));
+        $table->attributes['class'] = 'forumpost blog_entry blog'. ($unassociatedentry ? 'draft' : $template['publishstate']);
         $table->width = '100%';
 
         $picturecell = new html_table_cell();
-        $picturecell->add_classes('picture left');
+        $picturecell->attributes['class'] = 'picture left';
         $picturecell->text = $OUTPUT->user_picture($user);
 
         $table->head[] = $picturecell;
 
         $topiccell = new html_table_cell();
-        $topiccell->add_classes('topic starter');
+        $topiccell->attributes['class'] = 'topic starter';
         $topiccell->text = $OUTPUT->container($template['title'], 'subject');
         $topiccell->text .= $OUTPUT->container_start('author');
 
@@ -169,11 +169,11 @@ class blog_entry {
         $mainrow = new html_table_row();
 
         $leftsidecell = new html_table_cell();
-        $leftsidecell->add_classes('left side');
+        $leftsidecell->attributes['class'] = 'left side';
         $mainrow->cells[] = $leftsidecell;
 
         $contentcell = new html_table_cell();
-        $contentcell->add_class('content');
+        $contentcell->attributes['class'] = 'content';
 
         $attachedimages = $OUTPUT->container($this->print_attachments(), 'attachments');
 
@@ -299,9 +299,9 @@ class blog_entry {
         $table->data = array($mainrow);
 
         if ($return) {
-            return $OUTPUT->table($table);
+            return html_writer::table($table);
         } else {
-            echo $OUTPUT->table($table);
+            echo html_writer::table($table);
         }
     }
 
diff --git a/comment/locallib.php b/comment/locallib.php
index 1419438..f8397ea 100644
--- a/comment/locallib.php
+++ b/comment/locallib.php
@@ -119,7 +119,7 @@ class comment_manager {
             }
             $table->data[] = array($checkbox, $c->username, $c->content, $action);
         }
-        echo $OUTPUT->table($table);
+        echo html_writer::table($table);
         echo $OUTPUT->paging_bar($count, $page, $this->perpage, $CFG->wwwroot.'/comment/index.php');
     }
 
diff --git a/course/import/activities/mod.php b/course/import/activities/mod.php
index f1d0a59..58e0be9 100644
--- a/course/import/activities/mod.php
+++ b/course/import/activities/mod.php
@@ -95,6 +95,6 @@
         }
     }
     if (!empty($table)) {
-        echo $OUTPUT->table($table);
+        echo html_writer::table($table);
     }
 
diff --git a/course/lib.php b/course/lib.php
index 8475067..f23e7a1 100644
--- a/course/lib.php
+++ b/course/lib.php
@@ -419,7 +419,7 @@ function print_log($course, $user=0, $date=0, $order="l.time ASC", $page=0, $per
         $table->data[] = $row;
     }
 
-    echo $OUTPUT->table($table);
+    echo html_writer::table($table);
     echo $OUTPUT->paging_bar($totalcount, $page, $perpage, "$url&perpage=$perpage");
 }
 
diff --git a/course/pending.php b/course/pending.php
index b2c3eda..71f2801 100644
--- a/course/pending.php
+++ b/course/pending.php
@@ -99,7 +99,7 @@ if (empty($pending)) {
 
 /// Build a table of all the requests.
     $table = new html_table();
-    $table->add_class('pendingcourserequests generaltable');
+    $table->attributes['class'] = 'pendingcourserequests generaltable';
     $table->align = array('center', 'center', 'center', 'center', 'center', 'center', 'center');
     $table->head = array('&nbsp;', get_string('shortname'), get_string('fullname'),
             get_string('requestedby'), get_string('summary'), get_string('requestreason'), get_string('action'));
@@ -135,7 +135,7 @@ if (empty($pending)) {
     }
 
 /// Display the table.
-    echo $OUTPUT->table($table);
+    echo html_writer::table($table);
 
 /// Message about name collisions, if necessary.
     if (!empty($collision)) {
@@ -145,4 +145,4 @@ if (empty($pending)) {
 
 /// Finish off the page.
 echo $OUTPUT->single_button($CFG->wwwroot . '/course/index.php', get_string('backtocourselisting'));
-echo $OUTPUT->footer();
\ No newline at end of file
+echo $OUTPUT->footer();
diff --git a/course/report/outline/index.php b/course/report/outline/index.php
index 5d74e1a..d9e893e 100644
--- a/course/report/outline/index.php
+++ b/course/report/outline/index.php
@@ -47,7 +47,7 @@
     echo $OUTPUT->container(get_string('computedfromlogs', 'admin', userdate($logstart)), 'loginfo');
 
     $outlinetable = new html_table();
-    $outlinetable->add_class('generaltable boxaligncenter');
+    $outlinetable->attributes['class'] = 'generaltable boxaligncenter';
     $outlinetable->cellpadding = 5;
     $outlinetable->id = 'outlinetable';
     $outlinetable->head = array($stractivity, $strviews);
@@ -82,7 +82,7 @@
             }
             if ($prevsecctionnum != $sectionnum) {
                 $sectionrow = new html_table_row();
-                $sectionrow->add_class('section');
+                $sectionrow->attributes['class'] = 'section';
                 $sectioncell = new html_table_cell();
                 $sectioncell->colspan = count($outlinetable->head);
 
@@ -105,7 +105,7 @@
 
             $reportrow = new html_table_row();
             $activitycell = new html_table_cell();
-            $activitycell->add_class('activity');
+            $activitycell->attributes['class'] = 'activity';
 
             $activityicon = $OUTPUT->pix_icon('icon', $modulename, $cm->modname, array('class'=>'icon'));
 
@@ -119,7 +119,7 @@
             $reportrow->cells[] = $activitycell;
 
             $numviewscell = new html_table_cell();
-            $numviewscell->add_class('numviews');
+            $numviewscell->attributes['class'] = 'numviews';
 
             if (!empty($views[$cm->id]->numviews)) {
                 $numviewscell->text = $views[$cm->id]->numviews;
@@ -131,7 +131,7 @@
 
             if ($CFG->useblogassociations) {
                 $blogcell = new html_table_cell();
-                $blogcell->add_class('blog');
+                $blogcell->attributes['class'] = 'blog';
                 if ($blogcount = blog_get_associated_count($course->id, $cm->id)) {
                     $blogcell->text = html_writer::link('/blog/index.php?modid='.$cm->id, $blogcount);
                 } else {
@@ -142,7 +142,7 @@
 
             if ($showlastaccess) {
                 $lastaccesscell = new html_table_cell();
-                $lastaccesscell->add_class('lastaccess');
+                $lastaccesscell->attributes['class'] = 'lastaccess';
 
                 if (isset($views[$cm->id]->lasttime)) {
                     $timeago = format_time(time() - $views[$cm->id]->lasttime);
@@ -153,7 +153,7 @@
             $outlinetable->data[] = $reportrow;
         }
     }
-    echo $OUTPUT->table($outlinetable);
+    echo html_writer::table($outlinetable);
 
     echo $OUTPUT->footer();
 
diff --git a/course/report/stats/report.php b/course/report/stats/report.php
index dfdfeef..65962dd 100644
--- a/course/report/stats/report.php
+++ b/course/report/stats/report.php
@@ -67,7 +67,7 @@
         .'<div>'."\n"
         .'<input type="hidden" name="mode" value="'.$mode.'" />'."\n";
 
-    echo $OUTPUT->table($table);
+    echo html_writer::table($table);
 
     echo '</div>';
     echo '</form>';
@@ -221,7 +221,7 @@
                 $lastrecord[] = $lastlink;
                 $table->data[] = $lastrecord;
             }
-            echo $OUTPUT->table($table);
+            echo html_writer::table($table);
         }
     }
 
diff --git a/course/reset.php b/course/reset.php
index fd8dc8f..cd0a66b 100755
--- a/course/reset.php
+++ b/course/reset.php
@@ -87,7 +87,7 @@ if ($mform->is_cancelled()) {
         $table->align = array('left', 'left', 'left');
         $table->width = '80%';
         $table->data  = $data;
-        echo $OUTPUT->table($table);
+        echo html_writer::table($table);
 
         echo $OUTPUT->continue_button('view.php?id='.$course->id);  // Back to course page
         echo $OUTPUT->footer();
diff --git a/course/resources.php b/course/resources.php
index 1cf3fc7..db1f4b1 100644
--- a/course/resources.php
+++ b/course/resources.php
@@ -89,7 +89,7 @@ if (!$cms) {
 }
 
 $table = new html_table();
-$table->set_classes(array('generaltable', 'mod_index'));
+$table->attributes['class'] = 'generaltable mod_index';
 
 if ($course->format == 'weeks') {
     $table->head  = array ($strweek, $strname, $strintro);
@@ -137,6 +137,6 @@ foreach ($cms as $cm) {
         format_module_intro('resource', $resource, $cm->id));
 }
 
-echo $OUTPUT->table($table);
+echo html_writer::table($table);
 
 echo $OUTPUT->footer();
diff --git a/course/user.php b/course/user.php
index 6e00c98..414bac2 100644
--- a/course/user.php
+++ b/course/user.php
@@ -256,7 +256,7 @@ switch ($mode) {
             $a[] = $stat->line3;
             $table->data[] = $a;
         }
-        echo $OUTPUT->table($table);
+        echo html_writer::table($table);
         break;
 
     case "outline" :
diff --git a/enrol/authorize/locallib.php b/enrol/authorize/locallib.php
index 5355a69..a9620e0 100644
--- a/enrol/authorize/locallib.php
+++ b/enrol/authorize/locallib.php
@@ -323,7 +323,7 @@ function authorize_print_order($orderid)
         }
         $table->data[] = array("<b>$strs->confirm:</b>", get_string('captureyes', 'enrol_authorize') . '<br />' .
                                authorize_print_action_button($orderid, ORDER_CAPTURE, 0, true, false, $strs->no));
-        echo $OUTPUT->table($table);
+        echo html_writer::table($table);
     }
     elseif (ORDER_REFUND == $do && in_array(ORDER_REFUND, $statusandactions->actions)) {
         $refunded = 0.0;
@@ -378,7 +378,7 @@ function authorize_print_order($orderid)
                      get_string('canbecredit', 'enrol_authorize', $a) . '<br />';
         $table->data[] = array("<b>$strs->confirm:</b>",
                                authorize_print_action_button($orderid, ORDER_REFUND, 0, true, $authstrs->unenrolstudent, $strs->no, $extrahtml));
-        echo $OUTPUT->table($table);
+        echo html_writer::table($table);
     }
     elseif (ORDER_DELETE == $do && in_array(ORDER_DELETE, $statusandactions->actions)) {
         if ($confirm && confirm_sesskey()) {
@@ -390,7 +390,7 @@ function authorize_print_order($orderid)
         }
         $table->data[] = array("<b>$strs->confirm:</b>",
                                authorize_print_action_button($orderid, ORDER_DELETE, 0, true, $authstrs->unenrolstudent,$strs->no));
-        echo $OUTPUT->table($table);
+        echo html_writer::table($table);
     }
     elseif (ORDER_VOID == $do) { // special case: cancel original or refunded transaction?
         $suborderid = optional_param('suborder', 0, PARAM_INT);
@@ -412,7 +412,7 @@ function authorize_print_order($orderid)
             }
             $table->data[] = array("<b>$strs->confirm:</b>", get_string('voidyes', 'enrol_authorize') . '<br />' .
                                    authorize_print_action_button($orderid, ORDER_VOID, 0, true, false, $strs->no));
-            echo $OUTPUT->table($table);
+            echo html_writer::table($table);
         }
         elseif (!empty($suborderid)) { // cancel refunded
             $sql = "SELECT r.*, e.courseid, e.paymentmethod
@@ -453,12 +453,12 @@ function authorize_print_order($orderid)
                 $a->amount = $suborder->amount;
                 $table->data[] = array("<b>$strs->confirm:</b>", get_string('subvoidyes', 'enrol_authorize', $a) . '<br />' .
                                        authorize_print_action_button($orderid, ORDER_VOID, $suborderid, true, $authstrs->unenrolstudent, $strs->no));
-                echo $OUTPUT->table($table);
+                echo html_writer::table($table);
             }
         }
     }
     else {
-        echo $OUTPUT->table($table);
+        echo html_writer::table($table);
 
         if ($settled) { // show refunds.
             $t2 = new html_table();
@@ -505,7 +505,7 @@ function authorize_print_order($orderid)
                 $t2->data[] = array('','',get_string('noreturns', 'enrol_authorize'),'','');
             }
             echo "<h4>" . get_string('returns', 'enrol_authorize') . "</h4>\n";
-            echo $OUTPUT->table($t2);
+            echo html_writer::table($t2);
         }
     }
 
diff --git a/filter/manage.php b/filter/manage.php
index 0ebfbdb..af34d4b 100644
--- a/filter/manage.php
+++ b/filter/manage.php
@@ -199,7 +199,7 @@ if (empty($availablefilters)) {
         $table->data[] = $row;
     }
 
-    echo $OUTPUT->table($table);
+    echo html_writer::table($table);
     echo '<div class="buttons">' . "\n";
     echo '<input type="submit" name="savechanges" value="' . get_string('savechanges') . '" />';
     echo "\n</div>\n";
diff --git a/grade/edit/letter/index.php b/grade/edit/letter/index.php
index 3327fb4..5f92278 100644
--- a/grade/edit/letter/index.php
+++ b/grade/edit/letter/index.php
@@ -70,6 +70,6 @@ $table->align = array('left', 'left', 'left');
 $table->width = '30%';
 $table->data  = $data;
 $table->tablealign  = 'center';
-echo $OUTPUT->table($table);
+echo html_writer::table($table);
 
 echo $OUTPUT->footer();
diff --git a/grade/edit/outcome/index.php b/grade/edit/outcome/index.php
index 55d54f7..2cee964 100644
--- a/grade/edit/outcome/index.php
+++ b/grade/edit/outcome/index.php
@@ -181,7 +181,7 @@ if ($courseid and $outcomes = grade_outcome::fetch_all_local($courseid)) {
     $table->align = array('left', 'left', 'left', 'center', 'center');
     $table->width = '90%';
     $table->data  = $data;
-    $return .= $OUTPUT->table($table);
+    $return .= html_writer::table($table);
     $outcomes_tables[] = $return;
 }
 
@@ -233,7 +233,7 @@ if ($outcomes = grade_outcome::fetch_all_global()) {
     $table->align = array('left', 'left', 'left', 'center', 'center', 'center');
     $table->width = '90%';
     $table->data  = $data;
-    $return .= $OUTPUT->table($table);
+    $return .= html_writer::table($table);
     $outcomes_tables[] = $return;
 }
 
diff --git a/grade/edit/scale/index.php b/grade/edit/scale/index.php
index 99e8f74..8a1e12a 100644
--- a/grade/edit/scale/index.php
+++ b/grade/edit/scale/index.php
@@ -158,9 +158,9 @@ if ($courseid) {
 }
 
 echo $OUTPUT->heading($strcustomscales, 3, 'main');
-echo $OUTPUT->table($table);
+echo html_writer::table($table);
 echo $OUTPUT->heading($strstandardscale, 3, 'main');
-echo $OUTPUT->table($table2);
+echo html_writer::table($table2);
 echo $OUTPUT->container_start('buttons');
 echo $OUTPUT->single_button(new moodle_url('edit.php', array('courseid'=>$courseid)), $srtcreatenewscale);
 echo $OUTPUT->container_end();
diff --git a/grade/edit/tree/index.php b/grade/edit/tree/index.php
index b595dbb..4ce042c 100644
--- a/grade/edit/tree/index.php
+++ b/grade/edit/tree/index.php
@@ -309,7 +309,7 @@ echo '<form id="gradetreeform" method="post" action="'.$returnurl.'">';
 echo '<div>';
 echo '<input type="hidden" name="sesskey" value="'.sesskey().'" />';
 
-echo $OUTPUT->table($grade_edit_tree->table);
+echo html_writer::table($grade_edit_tree->table);
 
 echo '<div id="gradetreesubmit">';
 if (!$moving) {
